<?php

namespace Schaffen\Gef\Observers;

use Carbon\Carbon;
use Schaffen\Gef\Models\ApontamentoVeiculoGasto;

class ApontamentoVeiculoGastoObserver
{
   public function creating(ApontamentoVeiculoGasto $apontamento_veiculo_gasto)
   {
      $apontamento_veiculo_gasto->avg_user_insert = !is_null(\Auth::user()) ? \Auth::user()->usu_nome : 'Usuário não autenticado';
      $apontamento_veiculo_gasto->avg_date_insert = Carbon::now();
   }

   public function updating(ApontamentoVeiculoGasto $apontamento_veiculo_gasto)
   {
      $apontamento_veiculo_gasto->avg_user_update = !is_null(\Auth::user()) ? \Auth::user()->usu_nome : 'Usuário não autenticado';
      $apontamento_veiculo_gasto->avg_date_update = Carbon::now();
   }
}